[2.1] Contenu de la livraison su Github

Added by laurent caspar about 1 year ago

Bonjour,

La version de Linshare version 2.1 sur Github ne permet pas de l'installer en raison de nombreuses erreurs de publication.

Ces erreurs viennent en complément de celles relatives aux scripting SQL indiquées précédemment dans un de mes messages.

Sans que la liste soit à considérer comme exhaustive, nous relevons :

  1. [Fri Mar 23 16:59:36 2018] [error] [client 10.223.204.33] File does not exist: /srv/linshare/www/linshare-ui-admin/bower_components, referer: https://......
    Le répertoire bower_components n'existe dans aucun des fichiers TAR publiés sur Github alors que dans la 2.0.2 figure bien le module materialAdmin/vendors/bower_components
    Le répertoire materialAdmin n'apparaît pas dans les TAR
  1. La console UI-User fait appel à https://serveur.domaine.fr/vendors/bower_components/angular-i18n/angular-locale_fr.js qui renvoie une erreur 404

    Alors que le fichier est réellement installé dans /www/linshare-ui-admin/i18n/angular/angular-locale_fr.js

  1. La console UI-Admin fait appel à 3 requêtes renvoyant des erreurs 404 :
  1. https://serveur.domaine.fr/linshare/webservice/rest/admin/authentication/authorized
  2. https://serveur.domaine.fr/linshare/webservice/rest/admin/upgrade_tasks
  3. https://serveur.domaine.fr/linshare/webservice/rest/admin/authentication/version

Linagora est-elle certaine de la qualité de son produit 2.1 ? En comparaison de la révision 2.0.2 évaluée avec succès, des régressions ne permettent pas de l'installer ?

Cordialement


Replies (1)

RE: [2.1] Contenu de la livraison su Github - Added by Frédéric MARTIN about 1 year ago

Bonjour Monsieur Caspar,

La version 2.1 de LinShare est actuellement déployée sur notre production, sur nos environements d'intégration et de démonstration disponible à cette adresse https://demo.linshare.org/.

Le fait que vous ayez de nombreuses erreurs 404 sur l'API indique que le module core (le war dans le tomcat) n'est pas correctement déployé. Hors ce composant est requis pour le bon fonctionnement de l'interface administrateur et utilisateur.
Il est possible que le guide d'installation ne soit pas parfait mais il semblerait, au vu de votre précédent ticket https://forge.linpki.org/boards/1/topics/1610?r=1633#message-1633, que le logiciel libre office n'a pas été installé ou n'est pas reconnu par le système et donc le war ne peut etre déployé.

Si vous éprouvez encore des difficultés, n'hésitez pas à revenir vers nous et nous en faire part. Nous ferons tout notre possible pour les prendre en compte en fonction de nos disponibilités bien entendu.
Une futur version 2.1.1 sera bientôt publiée, elle corrigera en particulier un problème de gestion des URLs de notification dans un contexte multidomaine et la gestion de quota des utilisateurs invités.

Cordialement,

(1-1/1)